package de.lmu.ifi.pms.cep.event_mill;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.util.Arrays;
import java.util.Iterator;

import de.lmu.ifi.pms.cep.event_mill.console.MainThread;
import de.lmu.ifi.pms.java.util.tupel.Single;


public class Main {

	public static void main(final String[] args) throws Exception {
		BufferedReader inputStream = new BufferedReader(new InputStreamReader(System.in));
		PrintStream outputStream = System.out;

		start(Arrays.asList(args).iterator(), inputStream, outputStream);
	}
	
	public static void start(final Iterator<String> immediateCommands, final BufferedReader inputStream, final PrintStream outputStream){
		new MainThread(new Single<Iterator<String>, Iterator<String>>(immediateCommands), inputStream, outputStream).start();
	}
	
}
