package de.lmu.ifi.pms.cep.event_mill.console;

import ch.qos.logback.classic.spi.ILoggingEvent;
import ch.qos.logback.core.OutputStreamAppender;


public class ConsoleAppender extends OutputStreamAppender<ILoggingEvent> {

  Console console;

  public ConsoleAppender() {
	  super();
  }
  
  @Override
  public void start() {
	this.console =  new Console("Log");
    this.setOutputStream(this.console.out_stream);
    super.start();
  }
  
  @Override
	public void stop() {
	  	this.console.close();
		super.stop();
	}

}
