package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.BasicType;
import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;

public class BooleanNamedConstant extends BasicTypeNamedConstant {
	
	public BooleanNamedConstant(final String name) {
		super(BasicTypeID.BOOLEAN, name);
	}
	
	@Override
	public TypedNamedConstant<BasicType> rename(final String newName) {
		return new BooleanNamedConstant(newName);
	}

}
