package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.CompositeType;

public class DataTypeAttribute extends TypedAttribute<CompositeType> {

	public DataTypeAttribute(final String name, final CompositeType type) {
		super(name, type);
	}
	
	@Override
	public DataTypeAttribute rename(final String newName) {
		return new DataTypeAttribute(newName, this.type);
	}
	
	public static DataTypeAttribute create(final String name, final CompositeType type){
		return new DataTypeAttribute(name, type);
	}

}
