package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.BasicType;
import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;

public class FloatNamedConstant extends BasicTypeNamedConstant {
	
	public FloatNamedConstant(final String name) {
		super(BasicTypeID.FLOAT, name);
	}
	
	@Override
	public TypedNamedConstant<BasicType> rename(final String newName) {
		return new FloatNamedConstant(newName);
	}

}
