package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.BasicType;
import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;

public class StringNamedConstant extends BasicTypeNamedConstant {
	
	public StringNamedConstant(final String name) {
		super(BasicTypeID.STRING, name);
	}
	
	@Override
	public TypedNamedConstant<BasicType> rename(final String newName) {
		return new StringNamedConstant(newName);
	}

}
