package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.NoType;

public class UntypedAttribute extends Attribute<NoType> {
	
	protected UntypedAttribute(final String name) {
		super(name, NoType.instance);
	}

	@Override
	public UntypedAttribute rename(final String newName){
		return new UntypedAttribute(newName);
	}
	
	public static UntypedAttribute create(final String name){
		return new UntypedAttribute(name);
	}
	
}
