package de.lmu.ifi.pms.cep.tsa.time.functions;

import org.simpleframework.xml.Attribute;

public class AddDuration extends SimpleTimeFunction {
	
	@Attribute(name="duration") 
	public final long duration;

	public AddDuration(@Attribute(name="duration") final long duration) {
		super();
		this.duration = duration;
	}

	@Override
	long apply(final long[] arguments, final int argStart) {
		return arguments[argStart] + this.duration;
	}

	@Override
	public int argumentArity() {
		return 1;
	}

}
