package de.lmu.ifi.pms.java.util.collection.extendible.list;

public class DoubleLinkedList<Type> extends AbstractDoubleLinkedList<Type, DoubleLinkedEntry<Type>> {

	public DoubleLinkedList() {
		super();
	}

	@Override
	public DoubleLinkedEntry<Type> newListHead(AbstractSingleLinkedList<Type, DoubleLinkedEntry<Type>> linkingList) {
		return new DoubleLinkedEntry<Type>(linkingList);
	}
	
	@Override
	public DoubleLinkedEntry<Type> newListFoot(DoubleLinkedEntry<Type> head) {
		return new DoubleLinkedEntry<Type>(head);
	}

	@Override
	public DoubleLinkedEntry<Type> newUnlinkedEntry(Type value) {
		return new DoubleLinkedEntry<Type>(value);
	}

}
