package de.lmu.ifi.pms.java.util.comparator;

public final class ComparableWrapper<Type extends Comparable<Type>> extends AbstractComparator<Type> {
	
	@SuppressWarnings("rawtypes")
	public static final ComparableWrapper wrapper = new ComparableWrapper();
	
	@Override
	public int compare(final Type o1, final Type o2) {
		return o1.compareTo(o2);
	}
	
	@SuppressWarnings("unchecked")
	public static <T extends Comparable<T>> ComparableWrapper<T> make(){
		return wrapper;
	}

}
