package de.lmu.ifi.pms.java.util.map.fixed;

import de.lmu.ifi.pms.java.util.map.AbstractNavigableMap.AbstractJavaNavigableMap;
import de.lmu.ifi.pms.java.util.map.javaWrapper.ToJavaNavigableMapWrapper;

public abstract class AbstractFixedNavigableMap<KeyType, ValueType, EntryType extends FixedEntry<KeyType, ValueType>> extends AbstractFixedSortedMap<KeyType, ValueType, EntryType> implements FixedNavigableMap<KeyType, ValueType, EntryType> {
	
	@Override
	public AbstractJavaNavigableMap<KeyType, ValueType> javaMap() {
		return new ToJavaNavigableMapWrapper<KeyType, ValueType>(this);
	}
	
}
