package de.lmu.ifi.pms.java.util.tupel;

public class Tripple<Type, Type0 extends Type, Type1 extends Type, Type2 extends Type> extends Pair<Type, Type0, Type1> {

	private Type2 comp2;
	
	public Tripple(final Type0 comp0, final Type1 comp1, final Type2 comp2) {
		super(comp0, comp1);
		this.comp2 = comp2;
	}
	
	public final Type2 comp2(){
		return this.comp2;
	}
	
	public final void setComp2(final Type2 value){
		this.comp2 = value;
	}
	
	@Override
	public int componentCount() {
		return 3;
	}
	
	@Override
	public Type getComp(final int i) {
		if(i == 2){
			return this.comp2;
		}
		else{
			return super.getComp(i);
		}
	}
	
	@Override
	public Tripple<Type, Type0, Type1, Type2> clone() {
		return new Tripple<Type, Type0, Type1, Type2>(this.comp0(), this.comp1(), this.comp2());
	}

}
