package de.lmu.ifi.pms.cep.event_mill.execution.scheduler;

import org.simpleframework.xml.Root;

import de.lmu.ifi.pms.cep.event_mill.execution.program.ExecutableProgram;
import de.lmu.ifi.pms.cep.event_mill.execution.program.ExecutableQuery;
import de.lmu.ifi.pms.java.util.collection.AbstractCollection;


/**
 * Implementing subclasses must have a constructor without arguments.
 * 
 * @author Simon Brodt
 *
 */
@Root(name="sequencer")
public abstract class QuerySequencer {
	
	public abstract AbstractCollection<? extends ExecutableQuery<?, ?>> order(ExecutableProgram<?, ?, ?> program);

}
