package de.lmu.ifi.pms.cep.event_mill.sql.compiler;

import org.simpleframework.xml.Attribute;


public class DTSA_SQL_WriterImplFactory extends DTSA_SQL_WriterFactory{
	
	public static final String defaultIdentifier = "de.lmu.ifi.pms.cep.event_mill.sql.writer";
	
	public DTSA_SQL_WriterImplFactory() {
		this(defaultIdentifier);		
	}
	
	public DTSA_SQL_WriterImplFactory(@Attribute(name="iri", required=true) final String identifier) {
		super(identifier);
	}

	@Override
	public DTSA_SQL_Writer make() {
		return new DTSA_SQL_WriterImpl();
	}
		
}
