package de.lmu.ifi.pms.cep.tsa.compiler;

import de.lmu.ifi.pms.cep.compilation.Compiler;
import de.lmu.ifi.pms.cep.tsa.DTSA_Program;
import de.lmu.ifi.pms.cep.tsa.TSA_Program;

public abstract class TSA_Differencer extends Compiler<TSA_Program, DTSA_Program>{
	
	public TSA_Differencer() {
		super(TSA_Program.class, DTSA_Program.class);
	}
	
	@Override
	public DTSA_Program compile(final TSA_Program sourceProgram) {
		return this.differenciate(sourceProgram);
	}
	
	public abstract DTSA_Program differenciate(TSA_Program program);

}
