package de.lmu.ifi.pms.cep.tsa.conditions;

import org.simpleframework.xml.Element;
import org.simpleframework.xml.ElementList;

import de.lmu.ifi.pms.cep.tsa.schema.AType;

public class Min<TypeClass extends AType> extends AggregationFunction<TypeClass> {

	public Min(final TypeClass type, final Term<?> argument) {
		super(AggregationFunctionID.MIN, type, argument);
	}
	
	Min(@Element(name="type") final TypeClass type, @ElementList(entry="term", inline=true, required=false, empty=false) final java.util.ArrayList<Term<?>> arguments) {
		super(AggregationFunctionID.MIN, type, arguments);
	}
	
	@Override
	protected Min<TypeClass> newTerm(final Term<?> argument) {
		return new Min<TypeClass>(this.type, argument);
	}

}
