package de.lmu.ifi.pms.java.util.collection.compatibility;

import de.lmu.ifi.pms.java.util.collection.Collection;
import de.lmu.ifi.pms.java.util.collection.array.extendible.IArrayQueue;
import de.lmu.ifi.pms.java.util.collection.array.fixed.FixedArray;
import de.lmu.ifi.pms.java.util.collection.javaWrapper.FromJavaCollectionWrapper;

public class ArrayList<Type> extends IArrayQueue<Type> {//TODO better NOT IArrayQueue. 

	public ArrayList(final int capacity, final Class<? super Type> type) {
		super(0, type);
	}

	public ArrayList(final int capacity) {
		super(0);
	}
	
	public ArrayList() {
		super();
	}
	
	public ArrayList(final Type... values){
		super(new FixedArray<Type>(false, values));
		//TODO improve
	}

	public ArrayList(final Collection<? extends Type> collection) {
		super(collection);
	}
	
	public ArrayList(final java.util.Collection<? extends Type> collection) {
		super(new FromJavaCollectionWrapper<Type>(collection));
	}

}
