/**
 * 
 */
package de.lmu.ifi.pms.java.util.collection.extendible.list;

public class DoubleLinkedEntry<Type> extends AbstractDoubleLinkedEntry<Type, DoubleLinkedEntry<Type>> {
	
	protected Type value;
	
	public DoubleLinkedEntry(AbstractSingleLinkedList<Type, DoubleLinkedEntry<Type>> linkingList) {
		super(linkingList);
		this.value = null;
	}
	
	public DoubleLinkedEntry(DoubleLinkedEntry<Type> head) {
		super(head);
		this.value = null;
	}



	public DoubleLinkedEntry(Type value) {
		super();
		this.value = value;
	}

	@Override
	public Type value(){
		return this.value;
	}
	
	@Override
	public void setValue(Type newValue){
		this.value = newValue;
	}

}