package de.lmu.ifi.pms.java.util.comparator;

import java.util.Comparator;

public final class ComparatorWrapper<Type> extends AbstractComparator<Type> {
	
	private final Comparator<Type> comparator;	
	
	public ComparatorWrapper(final Comparator<Type> comparator) {
		super();
		this.comparator = comparator;
	}

	@Override
	public int compare(final Type o1, final Type o2) {
		return this.comparator.compare(o1, o2);
	}

}
