/**
 * 
 */
package de.lmu.ifi.pms.java.util.map;

/**
 * @author Simon Matthias Brodt
 *
 */
public abstract class AbstractExtendibleEntry<KeyType, ValueType> extends AbstractModifyableEntry<KeyType, ValueType> implements ExtendibleEntry<KeyType, ValueType>{
	
	@Override
	public abstract void setValue(ValueType newValue);
	
	@Override
	public abstract boolean isRemoved();
	
	@Override
	public abstract void remove();
	
}
